
/****************************************************************************************/
/*  This SAS program reads ASCII format (text format) 1991 YRBS data and creates a      */
/*  formatted and labeled SAS dataset.                                                  */
/*                                                                                      */
/*  Change the file location specifications from "c:\yrbs1991" to the location where 	*/
/*  you have stored the YRBS ASCII data file and the format library before you run this */
/*  program.  Change the location specification in three places - in the "filename"     */
/*  statement and in the two "libname" statements at the top of the program.            */
/*                                                                                      */
/*  Note: Run "YRBS_1991_SAS_Format_Program.sas" BEFORE you run                         */
/*  "YRBS_1991_SAS_Input_Program.sas" to create the 1991 YRBS dataset.                  */
/****************************************************************************************/

filename datain 'D:\WiilSU_2014\WiilSU Analysis\yrbs1991.dat';

libname dataout 'D:\WiilSU_2014\WiilSU Analysis';

libname library 'D:\WiilSU_2014\WiilSU Analysis';

data dataout.yrbs1991 ;
infile datain lrecl=130;
input
Q1 $ 1-1
Q2 $ 2-2
Q3 $ 3-3
Q4 $ 4-4
Q5 $ 5-5
Q6 $ 6-6
Q7 $ 7-7
Q8 $ 8-8
Q9 $ 9-9
Q10 $ 10-10
Q11 $ 11-11
Q12 $ 12-12
Q13 $ 13-13
Q14 $ 14-14
Q15 $ 15-15
Q16 $ 16-16
Q17 $ 17-17
Q18 $ 18-18
Q19 $ 19-19
Q20 $ 20-20
Q21 $ 21-21
Q22 $ 22-22
Q23 $ 23-23
Q24 $ 24-24
Q25 $ 25-25
Q26 $ 26-26
Q27 $ 27-27
Q28 $ 28-28
Q29 $ 29-29
Q30 $ 30-30
Q31 $ 31-31
Q32 $ 32-32
Q33 $ 33-33
Q34 $ 34-34
Q35 $ 35-35
Q36 $ 36-36
Q37 $ 37-37
Q38 $ 38-38
Q39 $ 39-39
Q40 $ 40-40
Q41 $ 41-41
Q42 $ 42-42
Q43 $ 43-43
Q44 $ 44-44
Q45 $ 45-45
Q46 $ 46-46
Q47 $ 47-47
Q48 $ 48-48
Q49 $ 49-49
Q50 $ 50-50
Q51 $ 51-51
Q52 $ 52-52
Q53 $ 53-53
Q54 $ 54-54
Q55 $ 55-55
Q56 $ 56-56
Q57 $ 57-57
Q58 $ 58-58
Q59 $ 59-59
Q60 $ 60-60
Q61 $ 61-61
Q62 $ 62-62
Q63 $ 63-63
Q64 $ 64-64
Q65 $ 65-65
Q66 $ 66-66
Q67 $ 67-67
Q68 $ 68-68
Q69 $ 69-69
Q70 $ 70-70
Q71 $ 71-71
Q72 $ 72-72
Q73 $ 73-73
Q74 $ 74-74
Q75 $ 75-75
@76 WEIGHT 8.6
@84 PSU 3.0
@87 STRATUM 5.0
GREG $ 92-92
;

************************************
*  Assign formats to SAS variables.*
************************************;
format 
Q1 $Q1F. Q2 $Q2F. Q3 $Q3F. Q4 $Q4F. Q5 $Q5F. Q6 $Q6F. 
Q7 $Q7F. Q8 $Q8F. Q9 $Q9F. Q10 $Q10F. 
Q11 $Q11F. Q12 $Q12F. Q13 $Q13F. Q14 $Q14F. Q15 $Q15F. 
Q16 $Q16F. Q17 $Q17F. Q18 $Q18F. Q19 $Q19F. Q20 $Q20F. 
Q21 $Q21F. Q22 $Q22F. Q23 $Q23F. Q24 $Q24F. Q25 $Q25F. 
Q26 $Q26F. Q27 $Q27F. Q28 $Q28F. Q29 $Q29F. Q30 $Q30F. 
Q31 $Q31F. Q32 $Q32F. Q33 $Q33F. Q34 $Q34F. Q35 $Q35F. 
Q36 $Q36F. Q37 $Q37F. Q38 $Q38F. Q39 $Q39F. Q40 $Q40F. 
Q41 $Q41F. Q42 $Q42F. Q43 $Q43F. Q44 $Q44F. Q45 $Q45F. 
Q46 $Q46F. Q47 $Q47F. Q48 $Q48F. Q49 $Q49F. Q50 $Q50F. 
Q51 $Q51F. Q52 $Q52F. Q53 $Q53F. Q54 $Q54F. Q55 $Q55F. 
Q56 $Q56F. Q57 $Q57F. Q58 $Q58F. Q59 $Q59F. Q60 $Q60F. 
Q61 $Q61F. Q62 $Q62F. Q63 $Q63F. Q64 $Q64F. Q65 $Q65F. 
Q66 $Q66F. Q67 $Q67F. Q68 $Q68F. Q69 $Q69F. Q70 $Q70F. 
Q71 $Q71F. Q72 $Q72F. Q73 $Q73F. Q74 $Q74F. Q75 $Q75F. 
GREG $GREGH. ;

***********************************
*  Assign labels to SAS variables.*
***********************************;
label 
Q1="HOW OLD ARE YOU"
Q2="WHAT IS YOUR SEX"
Q3="IN WHAT GRADE ARE YOU"
Q4="HOW DO YOU DESCRIBE YOURSELF"
Q5="WHAT KIND OF STUDENT ARE YOU"
Q6="HOW OFTEN WEAR SEAT BELT WITH SOMEONE"
Q7="HOW MANY TIMES RIDE MOTORCYCLE"
Q8="HOW OFTEN WEAR HELMET RIDING MOTORCYCLE"
Q9="HOW OFTEN RIDE BICYCLE"
Q10="HOW OFTEN WEAR HELMET RIDING BICYCLE"
Q11="HOW OFTEN RIDE WITH DRINKING DRIVER"
Q12="HOW MANY TIMES DRIVE WHILE DRINKING"
Q13="HOW MANY TIMES SWIM WITH SUPERVISION"
Q14="HOW MANY TIMES CARRY WEAPON"
Q15="WHAT KIND OF WEAPON DID YOU CARRY"
Q16="HOW MANY TIMES IN PHYSICAL FIGHT"
Q17="WITH WHOM DID YOU FIGHT IN LAST FIGHT"
Q18="HOW MANY TIMES INJURED IN FIGHT"
Q19="HAVE YOU SERIOUSLY CONSIDERED SUICIDE"
Q20="DID YOU MAKE A PLAN ABOUT SUICIDE"
Q21="HOW MANY TIMES DID ATTEMPT SUICIDE"
Q22="DID SUICIDE ATTEMPT RESULT IN INJURY"
Q23="HAVE YOU EVER TRIED CIGARETTE SMOKING"
Q24="WILL YOU TRY CIGARETTES NEXT 12 MONTHS"
Q25="AGE WHEN SMOKED FIRST CIGARETTE"
Q26="EVER SMOKED CIGARETTES REGULARLY"
Q27="AGE WHEN STARTED SMOKING REGULARLY"
Q28="HOW MANY DAYS DID YOU SMOKE CIGARETTES"
Q29="HOW MANY CIGARETTES PER DAY"
Q30="TRY TO QUIT SMOKING LAST 6 MONTHS"
Q31="DID YOU USE CHEWING TOBACCO OR SNUFF"
Q32="AGE OF FIRST DRINK OF ALCOHOL"
Q33="HOW MANY DAYS IN LIFE AT LEAST ONE DRINK"
Q34="HOW MANY PAST 30 DAYS AT LEAST ONE DRINK"
Q35="HOW MANY PAST 30 DAYS 5 OR MORE DRINKS"
Q36="HOW OLD WHEN FIRST USED MARIJUANA"
Q37="HOW MANY TIMES IN LIFE USED MARIJUANA"
Q38="HOW MANY TIMES PAST 30 DAYS MARIJUANA"
Q39="HOW OLD WHEN FIRST USED COCAINE"
Q40="HOW MANY TIMES IN LIFE USED COCAINE"
Q41="HOW MANY TIMES PAST 30 DAYS USE COCAINE"
Q42="HOW MANY TIMES IN LIFE CRACK/FREEBASE"
Q43="HOW MANY TIMES IN LIFE USE ILLEGAL DRUGS"
Q44="HOW MANY TIMES IN LIFE USED STEROIDS"
Q45="EVER IN LIFE INJECTED ILLEGAL DRUG"
Q46="EVER TAUGHT ABOUT AIDS/HIV IN SCHOOL"
Q47="EVER TALKED ABOUT AIDS WITH PARENTS"
Q48="EVER HAD SEXUAL INTERCOURSE"
Q49="AGE WHEN FIRST HAD SEXUAL INTERCOURSE"
Q50="HOW MUCH SEXUAL INTERCOURSE IN LIFE"
Q51="HOW MUCH SEX IN PAST 3 MONTHS"
Q52="USE ALCOHOL OR DRUGS BEFORE LAST SEX"
Q53="USE CONDOM DURING LAST SEX"
Q54="WHAT BIRTH CONTROL USED DURING LAST SEX"
Q55="HOW MANY BEEN/GOTTEN SOMEONE PREGNANT"
Q56="EVER BEEN TOLD THAT YOU HAVE A STD"
Q57="HOW DO YOU THINK OF YOURSELF"
Q58="WHICH ARE YOU TRYING TO DO"
Q59="WHICH DID YOU DO TO LOSE WEIGHT"
Q60="WHICH DID YOU DO TO LOSE WEIGHT"
Q61="YESTERDAY DID YOU EAT FRUIT"
Q62="YESTERDAY DID YOU DRINK FRUIT JUICE"
Q63="YESTERDAY DID YOU EAT GREEN SALAD"
Q64="YESTERDAY DID YOU EAT COOKED VEGETABLES"
Q65="YESTERDAY DID YOU EAT HAMBURGER"
Q66="YESTERDAY DID YOU EAT FRENCH FRIES"
Q67="YESTERDAY DID YOU EAT COOKIES"
Q68="HOW MANY PAST 7 DAYS DO HARD EXERCISE"
Q69="HOW MANY PAST 7 DAYS DO STRETCHING"
Q70="HOW MANY PAST 7 DAYS DO TONING EXERCISE"
Q71="YESTERDAY DID YOU WALK OR BICYCLE"
Q72="HOW MANY DAYS DO YOU GO TO PE CLASS"
Q73="HOW MANY MINUTES EXERCISE IN PE CLASS"
Q74="ON HOW MANY TEAMS AT SCHOOL"
Q75="ON HOW MANY TEAMS OUTSIDE SCHOOL"
weight="Analysis weight"
stratum="Stratum"
psu="PSU"
GREG="Geographic Region"
;
run;



