
/****************************************************************************************/
/*  This SAS program reads ASCII format (text format) 1993 YRBS data and creates a      */
/*  formatted and labeled SAS dataset.                                                  */
/*                                                                                      */
/*  Change the file location specifications from "c:\yrbs1993" to the location where 	*/
/*  you have stored the YRBS ASCII data file and the format library before you run this */
/*  program.  Change the location specification in three places - in the "filename"     */
/*  statement and in the two "libname" statements at the top of the program.            */
/*                                                                                      */
/*  Note: Run "YRBS_1993_SAS_Format_Program.sas" BEFORE you run                         */
/*  "YRBS_1993_SAS_Input_Program.sas" to create the 1993 YRBS dataset.                  */
/****************************************************************************************/

filename datain 'D:\WiilSU_2014\WiilSU Analysis\yrbs1993.dat';

libname dataout 'D:\WiilSU_2014\WiilSU Analysis';

libname library 'D:\WiilSU_2014\WiilSU Analysis';

data dataout.yrbs1993 ;
infile datain lrecl=130;
input
Q1 $ 1-1
Q2 $ 2-2
Q3 $ 3-3
Q4 $ 4-4
Q5 $ 5-5
Q6 $ 6-6
Q7 $ 7-7
Q8 $ 8-8
Q9 $ 9-9
Q10 $ 10-10
Q11 $ 11-11
Q12 $ 12-12
Q13 $ 13-13
Q14 $ 14-14
Q15 $ 15-15
Q16 $ 16-16
Q17 $ 17-17
Q18 $ 18-18
Q19 $ 19-19
Q20 $ 20-20
Q21 $ 21-21
Q22 $ 22-22
Q23 $ 23-23
Q24 $ 24-24
Q25 $ 25-25
Q26 $ 26-26
Q27 $ 27-27
Q28 $ 28-28
Q29 $ 29-29
Q30 $ 30-30
Q31 $ 31-31
Q32 $ 32-32
Q33 $ 33-33
Q34 $ 34-34
Q35 $ 35-35
Q36 $ 36-36
Q37 $ 37-37
Q38 $ 38-38
Q39 $ 39-39
Q40 $ 40-40
Q41 $ 41-41
Q42 $ 42-42
Q43 $ 43-43
Q44 $ 44-44
Q45 $ 45-45
Q46 $ 46-46
Q47 $ 47-47
Q48 $ 48-48
Q49 $ 49-49
Q50 $ 50-50
Q51 $ 51-51
Q52 $ 52-52
Q53 $ 53-53
Q54 $ 54-54
Q55 $ 55-55
Q56 $ 56-56
Q57 $ 57-57
Q58 $ 58-58
Q59 $ 59-59
Q60 $ 60-60
Q61 $ 61-61
Q62 $ 62-62
Q63 $ 63-63
Q64 $ 64-64
Q65 $ 65-65
Q66 $ 66-66
Q67 $ 67-67
Q68 $ 68-68
Q69 $ 69-69
Q70 $ 70-70
Q71 $ 71-71
Q72 $ 72-72
Q73 $ 73-73
Q74 $ 74-74
Q75 $ 75-75
Q76 $ 76-76
Q77 $ 77-77
Q78 $ 78-78
Q79 $ 79-79
Q80 $ 80-80
Q81 $ 81-81
Q82 $ 82-82
Q83 $ 83-83
Q84 $ 84-84
Q85 $ 85-85
Q86 $ 86-86
Q87 $ 87-87
@88 WEIGHT 10.8
@98 PSU 5.0
@103 STRATUM 5.0
GREG $ 108-108
;

************************************
*  Assign formats to SAS variables.*
************************************;
format 
Q1 $Q1F. Q2 $Q2F. Q3 $Q3F. Q4 $Q4F. Q5 $Q5F. Q6 $Q6F. 
Q7 $Q7F. Q8 $Q8F. Q9 $Q9F. Q10 $Q10F. 
Q11 $Q11F. Q12 $Q12F. Q13 $Q13F. Q14 $Q14F. Q15 $Q15F. 
Q16 $Q16F. Q17 $Q17F. Q18 $Q18F. Q19 $Q19F. Q20 $Q20F. 
Q21 $Q21F. Q22 $Q22F. Q23 $Q23F. Q24 $Q24F. Q25 $Q25F. 
Q26 $Q26F. Q27 $Q27F. Q28 $Q28F. Q29 $Q29F. Q30 $Q30F. 
Q31 $Q31F. Q32 $Q32F. Q33 $Q33F. Q34 $Q34F. Q35 $Q35F. 
Q36 $Q36F. Q37 $Q37F. Q38 $Q38F. Q39 $Q39F. Q40 $Q40F. 
Q41 $Q41F. Q42 $Q42F. Q43 $Q43F. Q44 $Q44F. Q45 $Q45F. 
Q46 $Q46F. Q47 $Q47F. Q48 $Q48F. Q49 $Q49F. Q50 $Q50F. 
Q51 $Q51F. Q52 $Q52F. Q53 $Q53F. Q54 $Q54F. Q55 $Q55F. 
Q56 $Q56F. Q57 $Q57F. Q58 $Q58F. Q59 $Q59F. Q60 $Q60F. 
Q61 $Q61F. Q62 $Q62F. Q63 $Q63F. Q64 $Q64F. Q65 $Q65F. 
Q66 $Q66F. Q67 $Q67F. Q68 $Q68F. Q69 $Q69F. Q70 $Q70F. 
Q71 $Q71F. Q72 $Q72F. Q73 $Q73F. Q74 $Q74F. Q75 $Q75F. 
Q76 $Q76F. Q77 $Q77F. Q78 $Q78F. Q79 $Q79F. Q80 $Q80F. 
Q81 $Q81F. Q82 $Q82F. Q83 $Q83F. Q84 $Q84F. Q85 $Q85XX. 
Q86 $Q86XX. Q87 $Q87XX. GREG $GREGH. ;

***********************************
*  Assign labels to SAS variables.*
***********************************;
label 
Q1="HOW OLD ARE YOU"
Q2="WHAT IS YOUR SEX"
Q3="IN WHAT GRADE ARE YOU"
Q4="HOW DO YOU DESCRIBE YOURSELF"
Q5="WHAT KIND OF STUDENT ARE YOU"
Q6="HOW OFTEN WEAR SEAT BELT WITH SOMEONE"
Q7="HOW MANY TIMES RIDE MOTORCYCLE"
Q8="HOW OFTEN WEAR HELMET RIDING MOTORCYCLE"
Q9="HOW OFTEN RIDE BICYCLE"
Q10="HOW OFTEN WEAR HELMET RIDING BICYCLE"
Q11="HOW OFTEN RIDE WITH DRINKING DRIVER"
Q12="HOW MANY TIMES DRIVE WHILE DRINKING"
Q13="HOW MANY TIMES CARRY WEAPON"
Q14="HOW MANY DAYS IN PAST 30 CARRY GUN"
Q15="HOW MANY DAYS CARRY WEAPON AT SCHOOL"
Q16="HOW MANY DAYS NO SCHOOL BECAUSE UNSAFE"
Q17="HOW MANY TIMES THREATENED/INJURED SCHOOL"
Q18="HOW MANY TIMES PROPERTY STOLEN AT SCHOOL"
Q19="HOW MANY TIMES IN PHYSICAL FIGHT"
Q20="WITH WHOM DID YOU FIGHT IN LAST FIGHT"
Q21="HOW MANY TIMES INJURED IN FIGHT"
Q22="HOW MANY TIMES IN FIGHT AT SCHOOL"
Q23="HOW MANY TIMES SWIM WITH SUPERVISION"
Q24="HAVE YOU SERIOUSLY CONSIDERED SUICIDE"
Q25="DID YOU MAKE A PLAN ABOUT SUICIDE"
Q26="HOW MANY TIMES DID ATTEMPT SUICIDE"
Q27="DID SUICIDE ATTEMPT RESULT IN INJURY"
Q28="HAVE YOU EVER TRIED CIGARETTE SMOKING"
Q29="AGE WHEN SMOKED FIRST CIGARETTE"
Q30="EVER SMOKED CIGARETTES REGULARLY"
Q31="AGE WHEN STARTED SMOKING REGULARLY"
Q32="HOW MANY DAYS DID YOU SMOKE CIGARETTES"
Q33="HOW MANY CIGARETTES PER DAY"
Q34="HOW MANY DAYS SMOKE CIGARETTES AT SCHOOL"
Q35="TRY TO QUIT SMOKING LAST 6 MONTHS"
Q36="DID YOU USE CHEWING TOBACCO OR SNUFF"
Q37="USE CHEWING TOBACCO/SNUFF AT SCHOOL"
Q38="AGE OF FIRST DRINK OF ALCOHOL"
Q39="HOW MANY DAYS IN LIFE AT LEAST ONE DRINK"
Q40="HOW MANY PAST 30 DAYS AT LEAST ONE DRINK"
Q41="HOW MANY PAST 30 DAYS 5 OR MORE DRINKS"
Q42="HOW MANY DAYS DRINK ALCOHOL AT SCHOOL"
Q43="HOW OLD WHEN FIRST TRIED MARIJUANA"
Q44="HOW MANY TIMES IN LIFE USED MARIJUANA"
Q45="HOW MANY TIMES PAST 30 DAYS MARIJUANA"
Q46="HOW MANY TIMES USE MARIJUANA AT SCHOOL"
Q47="HOW OLD WHEN FIRST TRIED COCAINE"
Q48="HOW MANY TIMES IN LIFE USED COCAINE"
Q49="HOW MANY TIMES PAST 30 DAYS USE COCAINE"
Q50="HOW MANY TIMES IN LIFE CRACK/FREEBASE"
Q51="HOW MANY TIMES IN LIFE USE ILLEGAL DRUGS"
Q52="HOW MANY TIMES IN LIFE USED STEROIDS"
Q53="EVER IN LIFE INJECTED ILLEGAL DRUG"
Q54="ANYONE OFFERED YOU DRUGS AT SCHOOL"
Q55="EVER TAUGHT ABOUT AIDS/HIV IN SCHOOL"
Q56="EVER TALKED ABOUT AIDS WITH PARENTS"
Q57="EVER HAD SEXUAL INTERCOURSE"
Q58="AGE WHEN FIRST HAD SEXUAL INTERCOURSE"
Q59="NUMBER OF SEX PARTNERS IN LIFE"
Q60="NUMBER OF SEX PARTNERS IN PAST 3 MONTHS"
Q61="USE ALCOHOL OR DRUGS BEFORE LAST SEX"
Q62="USE CONDOM DURING LAST SEX"
Q63="WHAT BIRTH CONTROL USED DURING LAST SEX"
Q64="HOW MANY BEEN/GOTTEN SOMEONE PREGNANT"
Q65="EVER BEEN TOLD THAT YOU HAVE A STD"
Q66="HOW DO YOU THINK OF YOURSELF"
Q67="WHICH ARE YOU TRYING TO DO"
Q68="WHICH DID YOU DO TO LOSE WEIGHT"
Q69="WHICH DID YOU DO TO LOSE WEIGHT"
Q70="YESTERDAY DID YOU EAT FRUIT"
Q71="YESTERDAY DID YOU DRINK FRUIT JUICE"
Q72="YESTERDAY DID YOU EAT GREEN SALAD"
Q73="YESTERDAY DID YOU EAT COOKED VEGETABLES"
Q74="YESTERDAY DID YOU EAT HAMBURGER"
Q75="YESTERDAY DID YOU EAT FRENCH FRIES"
Q76="YESTERDAY DID YOU EAT COOKIES"
Q77="HOW MANY PAST 7 DAYS DO HARD EXERCISE"
Q78="HOW MANY PAST 7 DAYS DO STRETCHING"
Q79="HOW MANY PAST 7 DAYS DO TONING EXERCISE"
Q80="HOW MANY DAYS BIKE/WALK FOR 30 MINUTES"
Q81="HOW MANY DAYS DO YOU GO TO PE CLASS"
Q82="HOW MANY MINUTES EXERCISE IN PE CLASS"
Q83="ON HOW MANY TEAMS AT SCHOOL"
Q84="ON HOW MANY TEAMS OUTSIDE SCHOOL"
Q85="HOW MANY CLASS PERIODS TAUGHT ABOUT AIDS"
Q86="HOW FAR IN SCHOOL DID YOU MOTHER GO"
Q87="HOW FAR IN SCHOOL DID YOUR FATHER GO"
weight="Analysis weight"
stratum="Stratum"
psu="PSU"
GREG="Geographic Region"
;
run;
