
/****************************************************************************************/
/*  This SAS program creates a permanent SAS format library that is used to analyze to  */
/*  analyze the 1995 YRBS dataset.                                                      */
/*                                                                                      */
/*  Change the file location specification from "c:\yrbs1995" to the location where you */
/*  want the format library to be stored before you run this program.  Change the       */
/*  location specification in the "library" statement at the top of the program.        */
/*                                                                                      */
/*  Note: Run "YRBS_1995_SAS_Format_Program.sas" BEFORE you run                         */
/*  "YRBS_1995_SAS_Input_Program.sas" to create the 1995 YRBS dataset.                  */
/****************************************************************************************/

libname library "D:\WiilSU_2014\WiilSU Analysis";
proc format library=library;
value $Q1H
' '='Missing'
'1'='12 years old or younger'
'2'='13 years old'
'3'='14 years old'
'4'='15 years old'
'5'='16 years old'
'6'='17 years old'
'7'='18 years old or older'
'other'='** DATA ERROR **';
value $Q2H
' '='Missing'
'1'='Female'
'2'='Male'
'other'='** DATA ERROR **';
value $Q3H
' '='Missing'
'1'='9th grade'
'2'='10th grade'
'3'='11th grade'
'4'='12th grade'
'5'='Ungraded or other'
'other'='** DATA ERROR **';
value $Q4H
' '='Missing'
'1'='White - not Hispanic'
'2'='Black - not Hispanic'
'3'='Hispanic or Latino'
'4'='Asian or Pacific Islander'
'5'='Native American or Alaskan'
'6'='Other'
'other'='** DATA ERROR **';
value $Q5H
' '='Missing'
'1'='Never'
'2'='Rarely'
'3'='Sometimes'
'4'='Most of the time'
'5'='Always'
'other'='** DATA ERROR **';
value $Q6H
' '='Missing'
'1'='0 times'
'2'='1 to 10 times'
'3'='11 to 20 times'
'4'='21 to 39 times'
'5'='40 or more times'
'other'='** DATA ERROR **';
value $Q7H
' '='Missing'
'1'='Did not ride a motorcycle'
'2'='Never'
'3'='Rarely'
'4'='Sometimes'
'5'='Most of the time'
'6'='Always'
'other'='** DATA ERROR **';
value $Q8H
' '='Missing'
'1'='0 times'
'2'='1 to 10 times'
'3'='11 to 20 times'
'4'='21 to 39 times'
'5'='40 or more times'
'other'='** DATA ERROR **';
value $Q9H
' '='Missing'
'1'='Did not ride a bicycle'
'2'='Never'
'3'='Rarely'
'4'='Sometimes'
'5'='Most of the time'
'6'='Always'
'other'='** DATA ERROR **';
value $Q10H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or more times'
'other'='** DATA ERROR **';
value $Q11H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or more times'
'other'='** DATA ERROR **';
value $Q12H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 or 3 days'
'4'='4 or 5 days'
'5'='6 or more days'
'other'='** DATA ERROR **';
value $Q13H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 or 3 days'
'4'='4 or 5 days'
'5'='6 or more days'
'other'='** DATA ERROR **';
value $Q14H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 or 3 days'
'4'='4 or 5 days'
'5'='6 or more days'
'other'='** DATA ERROR **';
value $Q15H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 or 3 days'
'4'='4 or 5 days'
'5'='6 or more days'
'other'='** DATA ERROR **';
value $Q16H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or 7 times'
'6'='8 or 9 times'
'7'='10 or 11 times'
'8'='12 or more times'
'other'='** DATA ERROR **';
value $Q17H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or 7 times'
'6'='8 or 9 times'
'7'='10 or 11 times'
'8'='12 or more times'
'other'='** DATA ERROR **';
value $Q18H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or 7 times'
'6'='8 or 9 times'
'7'='10 or 11 times'
'8'='12 or more times'
'other'='** DATA ERROR **';
value $Q19H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or more times'
'other'='** DATA ERROR **';
value $Q20H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or 7 times'
'6'='8 or 9 times'
'7'='10 or 11 times'
'8'='12 or more times'
'other'='** DATA ERROR **';
value $Q21H
' '='Missing'
'1'='Have never been in a fight'
'2'='Total stranger'
'3'='Friend or someone I know'
'4'='Boyfriend, girlfriend, date'
'5'='Family member'
'6'='Someone not listed above'
'7'='More than one of the above'
'other'='** DATA ERROR **';
value $Q22H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q23H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q24H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or 3 times'
'4'='4 or 5 times'
'5'='6 or more times'
'other'='** DATA ERROR **';
value $Q25H
' '='Missing'
'1'='Did not attempt suicide'
'2'='Yes'
'3'='No'
'other'='** DATA ERROR **';
value $Q26H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q27H
' '='Missing'
'1'='Never smoked a cigarette'
'2'='8 years old or younger'
'3'='9 or 10 years old'
'4'='11 or 12 years old'
'5'='13 or 14 years old'
'6'='15 or 16 years old'
'7'='17 or more years old'
'other'='** DATA ERROR **';
value $Q28H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q29H
' '='Missing'
'1'='Did not smoke'
'2'='Less than 1 per day'
'3'='1 per day'
'4'='2 to 5 per day'
'5'='6 to 10 per day'
'6'='11 to 20 per day'
'7'='More than 20 per day'
'other'='** DATA ERROR **';
value $Q30H
' '='Missing'
'1'='Did not smoke cigarettes'
'2'='Store'
'3'='Vending machine'
'4'='Someone else bought them'
'5'='Borrowed them'
'6'='Stole them'
'7'='Some other way'
'other'='** DATA ERROR **';
value $Q31H
' '='Missing'
'1'='Did not smoke cigarettes'
'2'='Did not buy cigarettes'
'3'='Yes'
'4'='No'
'other'='** DATA ERROR **';
value $Q32H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q33H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q34H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q35H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q36H
' '='Missing'
'1'='Never drank alcohol'
'2'='8 years old or younger'
'3'='9 or 10 years old'
'4'='11 or 12 years old'
'5'='13 or 14 years old'
'6'='15 or 16 years old'
'7'='17 or more years old'
'other'='** DATA ERROR **';
value $Q37H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 9 days'
'4'='10 to 19 days'
'5'='20 to 39 days'
'6'='40 to 99 days'
'7'='100 or more days'
'other'='** DATA ERROR **';
value $Q38H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q39H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 to 5 days'
'5'='6 to 9 days'
'6'='10 to 19 days'
'7'='20 or more days'
'other'='** DATA ERROR **';
value $Q40H
' '='Missing'
'1'='0 days'
'2'='1 or 2 days'
'3'='3 to 5 days'
'4'='6 to 9 days'
'5'='10 to 19 days'
'6'='20 to 29 days'
'7'='All 30 days'
'other'='** DATA ERROR **';
value $Q41H
' '='Missing'
'1'='Never tried marijuana'
'2'='8 years old or younger'
'3'='9 or 10 years old'
'4'='11 or 12 years old'
'5'='13 or 14 years old'
'6'='15 or 16 years old'
'7'='17 or more years old'
'other'='** DATA ERROR **';
value $Q42H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 to 99 times'
'7'='100 or more times'
'other'='** DATA ERROR **';
value $Q43H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q44H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q45H
' '='Missing'
'1'='Never tried cocaine'
'2'='8 years old or younger'
'3'='9 or 10 years old'
'4'='11 or 12 years old'
'5'='13 or 14 years old'
'6'='15 or 16 years old'
'7'='17 or more years old'
'other'='** DATA ERROR **';
value $Q46H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q47H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q48H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q49H
' '='Missing'
'1'='0 times'
'2'='1  or 2  times'
'3'='3  to 9  times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q50H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q51H
' '='Missing'
'1'='0 times'
'2'='1 or 2 times'
'3'='3 to 9 times'
'4'='10 to 19 times'
'5'='20 to 39 times'
'6'='40 or more times'
'other'='** DATA ERROR **';
value $Q52H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or more times'
'other'='** DATA ERROR **';
value $Q53H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q54H
' '='Missing'
'1'='Yes'
'2'='No'
'3'='Not sure'
'other'='** DATA ERROR **';
value $Q55H
' '='Missing'
'1'='Yes'
'2'='No'
'3'='Not sure'
'other'='** DATA ERROR **';
value $Q56H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q57H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='11 years old or younger'
'3'='12 years old'
'4'='13 years old'
'5'='14 years old'
'6'='15 years old'
'7'='16 years old'
'8'='17 years old or older'
'other'='** DATA ERROR **';
value $Q58H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='1 person'
'3'='2 people'
'4'='3 people'
'5'='4 people'
'6'='5 people'
'7'='6 or more people'
'other'='** DATA ERROR **';
value $Q59H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='None during past 3 months'
'3'='1 person'
'4'='2 people'
'5'='3 people'
'6'='4 people'
'7'='5 people'
'8'='6 or more people'
'other'='** DATA ERROR **';
value $Q60H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='Yes'
'3'='No'
'other'='** DATA ERROR **';
value $Q61H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='Yes'
'3'='No'
'other'='** DATA ERROR **';
value $Q62H
' '='Missing'
'1'='Never had sexual intercourse'
'2'='No method was used'
'3'='Birth control pills'
'4'='Condoms'
'5'='Withdrawal'
'6'='Some other method'
'7'='Not sure'
'other'='** DATA ERROR **';
value $Q63H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 or more times'
'4'='Not sure'
'other'='** DATA ERROR **';
value $Q64H
' '='Missing'
'1'='Very underweight'
'2'='Slightly underweight'
'3'='About the right weight'
'4'='Slightly overweight'
'5'='Very overweight'
'other'='** DATA ERROR **';
value $Q65H
' '='Missing'
'1'='Lose weight'
'2'='Gain weight'
'3'='Stay the same weight'
'4'='Not trying to do anything'
'other'='** DATA ERROR **';
value $Q66H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q67H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q68H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q69H
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q70H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q71H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q72H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q73H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q74H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q75H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q76H
' '='Missing'
'1'='0 times'
'2'='1 time'
'3'='2 times'
'4'='3 or more times'
'other'='** DATA ERROR **';
value $Q77H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 days'
'5'='4 days'
'6'='5 days'
'7'='6 days'
'8'='7 days'
'other'='** DATA ERROR **';
value $Q78H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 days'
'5'='4 days'
'6'='5 days'
'7'='6 days'
'8'='7 days'
'other'='** DATA ERROR **';
value $Q79H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 days'
'5'='4 days'
'6'='5 days'
'7'='6 days'
'8'='7 days'
'other'='** DATA ERROR **';
value $Q80H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 days'
'5'='4 days'
'6'='5 days'
'7'='6 days'
'8'='7 days'
'other'='** DATA ERROR **';
value $Q81H
' '='Missing'
'1'='0 days'
'2'='1 day'
'3'='2 days'
'4'='3 days'
'5'='4 days'
'6'='5 days'
'other'='** DATA ERROR **';
value $Q82H
' '='Missing'
'1'='Do not take PE'
'2'='Less than 10 minutes'
'3'='10 to 20 minutes'
'4'='21 to 30 minutes'
'5'='More than 30 minutes'
'other'='** DATA ERROR **';
value $Q83H
' '='Missing'
'1'='0 teams'
'2'='1 team'
'3'='2 teams'
'4'='3 or more teams'
'other'='** DATA ERROR **';
value $Q84H
' '='Missing'
'1'='0 teams'
'2'='1 team'
'3'='2 teams'
'4'='3 or more teams'
'other'='** DATA ERROR **';
value $Q85XXH
' '='Missing'
'1'='Yes'
'2'='No'
'other'='** DATA ERROR **';
value $Q86XXH
' '='Missing'
'1'='Never smoked regularly'
'2'='8 years old or younger'
'3'='9 or 10 years old'
'4'='11 or 12 years old'
'5'='13 or 14 years old'
'6'='15 or 16 years old'
'7'='17 years old or older'
'other'='** DATA ERROR **';
value $Q87XXH
' '='Missing'
'1'='Did not finish high school'
'2'='Graduated from high school'
'3'='Had some college'
'4'='Graduated from college'
'5'='Not sure'
'other'='** DATA ERROR **';
value $Q88XXH
' '='Missing'
'1'='Did not finish high school'
'2'='Graduated from high school'
'3'='Had some college'
'4'='Graduated from college'
'5'='Not sure'
'other'='** DATA ERROR **';
value $GREGH
' '='Missing'
'1'='Northeast'
'2'='Midwest'
'3'='South'
'4'='West'
'other'='** DATA ERROR **';



run;
