
/****************************************************************************************/
/*  This SAS program reads ASCII format (text format) 1999 YRBS data and creates a      */
/*  formatted and labeled SAS dataset.                                                  */
/*                                                                                      */
/*  Change the file location specifications from "c:\yrbs1999" to the location where 	*/
/*  you have stored the YRBS ASCII data file and the format library before you run this */
/*  program.  Change the location specification in three places - in the "filename"     */
/*  statement and in the two "libname" statements at the top of the program.            */
/*                                                                                      */
/*  Note: Run "YRBS_1999_SAS_Format_Program.sas" BEFORE you run                         */
/*  "YRBS_1999_SAS_Input_Program.sas" to create the 1999 YRBS dataset.                  */
/****************************************************************************************/

filename datain 'D:\WiilSU_2014\WiilSU Analysis\yrbs1999.dat';

libname dataout 'D:\WiilSU_2014\WiilSU Analysis';

libname library 'D:\WiilSU_2014\WiilSU Analysis';

data dataout.yrbs1999 ;
infile datain lrecl=130;
input
Q1 $ 1-1
Q2 $ 2-2
Q3 $ 3-3
Q4 $ 4-4
@5  Q5 8.2
@13 Q6 8.2
Q7 $ 21-21
Q8 $ 22-22
Q9 $ 23-23
Q10 $ 24-24
Q11 $ 25-25
Q12 $ 26-26
Q13 $ 27-27
Q14 $ 28-28
Q15 $ 29-29
Q16 $ 30-30
Q17 $ 31-31
Q18 $ 32-32
Q19 $ 33-33
Q20 $ 34-34
Q21 $ 35-35
Q22 $ 36-36
Q23 $ 37-37
Q24 $ 38-38
Q25 $ 39-39
Q26 $ 40-40
Q27 $ 41-41
Q28 $ 42-42
Q29 $ 43-43
Q30 $ 44-44
Q31 $ 45-45
Q32 $ 46-46
Q33 $ 47-47
Q34 $ 48-48
Q35 $ 49-49
Q36 $ 50-50
Q37 $ 51-51
Q38 $ 52-52
Q39 $ 53-53
Q40 $ 54-54
Q41 $ 55-55
Q42 $ 56-56
Q43 $ 57-57
Q44 $ 58-58
Q45 $ 59-59
Q46 $ 60-60
Q47 $ 61-61
Q48 $ 62-62
Q49 $ 63-63
Q50 $ 64-64
Q51 $ 65-65
Q52 $ 66-66
Q53 $ 67-67
Q54 $ 68-68
Q55 $ 69-69
Q56 $ 70-70
Q57 $ 71-71
Q58 $ 72-72
Q59 $ 73-73
Q60 $ 74-74
Q61 $ 75-75
Q62 $ 76-76
Q63 $ 77-77
Q64 $ 78-78
Q65 $ 79-79
Q66 $ 80-80
Q67 $ 81-81
Q68 $ 82-82
Q69 $ 83-83
Q70 $ 84-84
Q71 $ 85-85
Q72 $ 86-86
Q73 $ 87-87
Q74 $ 88-88
Q75 $ 89-89
Q76 $ 90-90
Q77 $ 91-91
Q78 $ 92-92
Q79 $ 93-93
Q80 $ 94-94
Q81 $ 95-95
Q82 $ 96-96
Q83 $ 97-97
Q84 $ 98-98
Q85 $ 99-99
Q86 $ 100-100
Q87 $ 101-101
Q88 $ 102-102
Q89 $ 103-103
Q90 $ 104-104
Q91 $ 105-105
Q92 $ 106-106
@107 WEIGHT 8.4
@115 STRATUM 3.0
@118 PSU 6.0
GREG $ 124-124
METROST $ 125-125
;

************************************
*  Assign formats to SAS variables.*
************************************;
format 
Q1 $Q1H. Q2 $Q2H. Q3 $Q3H. Q4 $Q4H. Q5 4.2 Q6 6.2 
Q7 $Q7H. Q8 $Q8H. Q9 $Q9H. Q10 $Q10H. 
Q11 $Q11H. Q12 $Q12H. Q13 $Q13H. Q14 $Q14H. Q15 $Q15H. 
Q16 $Q16H. Q17 $Q17H. Q18 $Q18H. Q19 $Q19H. Q20 $Q20H. 
Q21 $Q21H. Q22 $Q22H. Q23 $Q23H. Q24 $Q24H. Q25 $Q25H. 
Q26 $Q26H. Q27 $Q27H. Q28 $Q28H. Q29 $Q29H. Q30 $Q30H. 
Q31 $Q31H. Q32 $Q32H. Q33 $Q33H. Q34 $Q34H. Q35 $Q35H. 
Q36 $Q36H. Q37 $Q37H. Q38 $Q38H. Q39 $Q39H. Q40 $Q40H. 
Q41 $Q41H. Q42 $Q42H. Q43 $Q43H. Q44 $Q44H. Q45 $Q45H. 
Q46 $Q46H. Q47 $Q47H. Q48 $Q48H. Q49 $Q49H. Q50 $Q50H. 
Q51 $Q51H. Q52 $Q52H. Q53 $Q53H. Q54 $Q54H. Q55 $Q55H. 
Q56 $Q56H. Q57 $Q57H. Q58 $Q58H. Q59 $Q59H. Q60 $Q60H. 
Q61 $Q61H. Q62 $Q62H. Q63 $Q63H. Q64 $Q64H. Q65 $Q65H. 
Q66 $Q66H. Q67 $Q67H. Q68 $Q68H. Q69 $Q69H. Q70 $Q70H. 
Q71 $Q71H. Q72 $Q72H. Q73 $Q73H. Q74 $Q74H. Q75 $Q75H. 
Q76 $Q76H. Q77 $Q77H. Q78 $Q78H. Q79 $Q79H. Q80 $Q80H. 
Q81 $Q81H. Q82 $Q82H. Q83 $Q83H. Q84 $Q84H. Q85 $Q85H. 
Q86 $Q86H. Q87 $Q87H. Q88 $Q88XXH. Q89 $Q89XXH. 
Q90 $Q90XXH. Q91 $Q91XXH. Q92 $Q92XXH. GREG $GREGH. 
METROST $METROH.;

***********************************
*  Assign labels to SAS variables.*
***********************************;
label 
Q1="HOW OLD ARE YOU"
Q2="WHAT IS YOUR SEX"
Q3="IN WHAT GRADE ARE YOU"
Q4="HOW DO YOU DESCRIBE YOURSELF"
Q5="HEIGHT (IN METERS)"
Q6="WEIGHT (IN KILOGRAMS)"
Q7="HOW OFTEN WEAR HELMET RIDING MOTORCYCLE"
Q8="HOW OFTEN WEAR HELMET RIDING BICYCLE"
Q9="HOW OFTEN WEAR BELT WHEN RIDING IN A CAR"
Q10="HOW OFTEN RIDE WITH DRINKING DRIVER"
Q11="HOW MANY TIMES DRIVE WHILE DRINKING"
Q12="HOW MANY DAYS IN PAST 30 CARRY WEAPON"
Q13="HOW MANY DAYS IN PAST 30 CARRY GUN"
Q14="HOW MANY DAYS CARRY WEAPON AT SCHOOL"
Q15="HOW MANY DAYS NO SCHOOL BECAUSE UNSAFE"
Q16="HOW MANY TIMES THREATENED/INJURED SCHOOL"
Q17="HOW MANY TIMES IN PHYSICAL FIGHT"
Q18="HOW MANY TIMES INJURED IN FIGHT"
Q19="HOW MANY TIMES IN FIGHT AT SCHOOL"
Q20="EVER HIT BY BOYFRIEND OR GIRLFRIEND"
Q21="EVER BEEN FORCED TO HAVE SEX"
Q22="EVER FELT SO SAD THAT STOPPED ACTIVITIES"
Q23="HAVE YOU SERIOUSLY CONSIDERED SUICIDE"
Q24="DID YOU MAKE A PLAN ABOUT SUICIDE"
Q25="HOW MANY TIMES DID ATTEMPT SUICIDE"
Q26="DID SUICIDE ATTEMPT RESULT IN INJURY"
Q27="HAVE YOU EVER TRIED CIGARETTE SMOKING"
Q28="AGE WHEN SMOKED FIRST CIGARETTE"
Q29="HOW MANY DAYS DID YOU SMOKE CIGARETTES"
Q30="HOW MANY CIGARETTES PER DAY"
Q31="HOW DID YOU GET YOUR CIGARETTES"
Q32="ASKED FOR PROOF OF AGE BUYING CIGARETTES"
Q33="SMOKED CIGARETTES AT SCHOOL PAST 30 DAYS"
Q34="HAVE EVER SMOKED CIGARETTES REGULARLY"
Q35="HAVE YOU EVER TRIED TO QUIT SMOKING"
Q36="DID YOU USE CHEWING TOBACCO OR SNUFF"
Q37="USED CHEWING TOBACCO/SNUFF AT SCHOOL"
Q38="SMOKE CIGARS DURING THE PAST 30 DAYS"
Q39="DAYS HAD AT LEAST ONE DRINK OF ALCOHOL"
Q40="AGE OF FIRST DRINK OF ALCOHOL"
Q41="HOW MANY PAST 30 DAYS AT LEAST ONE DRINK"
Q42="HOW MANY PAST 30 DAYS 5 OR MORE DRINKS"
Q43="HOW MANY DAYS DRANK ALCOHOL AT SCHOOL"
Q44="TIMES USED MARIJUANA DURING YOUR LIFE"
Q45="HOW OLD WHEN FIRST TRIED MARIJUANA"
Q46="HOW MANY TIMES PAST 30 DAYS MARIJUANA"
Q47="HOW MANY TIMES USED MARIJUANA AT SCHOOL"
Q48="HOW MANY TIMES IN LIFE USED COCAINE"
Q49="HOW MANY TIMES PAST 30 DAYS USED COCAINE"
Q50="HOW MANY TIMES IN LIFE SNIFFED GLUE"
Q51="SNIFFED GLUE TO GET HIGH PAST 30 DAYS"
Q52="HOW MANY TIMES IN LIFE USED HEROIN"
Q53="HOW MANY TIMES USED METHAMPHETAMINES"
Q54="HOW MANY TIMES IN LIFE USED STEROIDS"
Q55="HOW MANY TIMES INJECTED ILLEGAL DRUG"
Q56="ANYONE OFFERED YOU DRUGS AT SCHOOL"
Q57="EVER HAD SEXUAL INTERCOURSE"
Q58="AGE WHEN FIRST HAD SEXUAL INTERCOURSE"
Q59="NUMBER OF SEX PARTNERS IN LIFE"
Q60="NUMBER OF SEX PARTNERS IN PAST 3 MONTHS"
Q61="USE ALCOHOL OR DRUGS BEFORE LAST SEX"
Q62="USE CONDOM DURING LAST SEX"
Q63="WHAT BIRTH CONTROL USED DURING LAST SEX"
Q64="TIMES BEEN OR GOTTEN SOMEONE PREGNANT"
Q65="HOW DO YOU DESCRIBE YOUR WEIGHT"
Q66="WHICH ARE YOU TRYING TO DO ABOUT WEIGHT"
Q67="DID YOU EXERCISE TO LOSE WEIGHT"
Q68="ATE LESS FOOD TO LOSE WEIGHT"
Q69="FASTED TO LOSE WEIGHT"
Q70="DID YOU TAKE DIET PILLS TO LOSE WEIGHT"
Q71="VOMITED OR TOOK LAXATIVES TO LOSE WEIGHT"
Q72="HOW MANY TIMES DID YOU DRINK FRUIT JUICE"
Q73="HOW MANY TIMES DID YOU EAT FRUIT"
Q74="HOW MANY TIMES DID YOU EAT GREEN SALAD"
Q75="HOW MANY TIMES DID YOU EAT POTATOES"
Q76="HOW MANY TIMES DID YOU EAT CARROTS"
Q77="TIMES ATE OTHER VEGETABLES"
Q78="HOW MANY GLASSES OF MILK DID YOU DRINK"
Q79="HOW MANY PAST 7 DAYS DO HARD EXERCISE"
Q80="HOW MANY PAST 7 DAYS DO EASY EXERCISE"
Q81="HOW MANY PAST 7 DAYS DO TONING EXERCISE"
Q82="HOW MANY HOURS DO YOU WATCH TV"
Q83="HOW MANY DAYS DO YOU GO TO PE CLASS"
Q84="HOW MANY MINUTES EXERCISE IN PE CLASS"
Q85="ON HOW MANY SPORTS TEAMS DID YOU PLAY"
Q86="TIMES INJURED WHILE EXERCISING"
Q87="BEEN TAUGHT ABOUT AIDS/HIV IN SCHOOL"
Q88="WHICH BRAND USUALLY SMOKED"
Q89="HOW LONG SINCE LAST CHECK-UP OR PHYSICAL"
Q90="DISCUSSED STD/PREG PREV WITH DOCTOR"
Q91="LAST TIME SAW A DENTIST"
Q92="HOW OFTEN WEAR SUNBLOCK"
weight="Analysis weight"
stratum="Stratum"
psu="PSU"
GREG="Geographic Region"
METROST="Metropolitan Status"
;
run;

